Update Ad Break Schedule
Updates an existing ad break slot. type is immutable and cannot be changed after creation.
curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"maxDurationS": 24,
"offset": 300
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"maxDurationS": 24,
"offset": 300
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"maxDurationS": 24,
"offset": 300
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"maxDurationS": 24,
"offset": 300
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/pull/42/adinsertion/schedule/501')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"maxDurationS": 24,
"offset": 300
}'
response = http.request(request)
puts response.body
{
"statusCode": 200,
"id": 18,
"tenantId": 103,
"name": "5-103-pull-5611-adinsertion",
"hash": "3d27526ed69afdff653283e6148f3477",
"type": "ad-insertion",
"url": "https://adinsertion.5centscdn.com/3d27526ed69afdff653283e6148f3477/",
"state": "enabled",
"creationDate": "2026-07-30T11:20:21.000Z",
"updateDate": "2026-09-23T04:44:44.000Z",
"source": {
"id": 33,
"tenantId": 103,
"type": "asset-catalog",
"name": "5-103-pull-5611-assetcatalog",
"url": "https://fm-sg-ovh01.cdnized.com/",
"format": "HLS",
"origin": {
"customHeaders": [
{
"name": "X-Api-Key",
"value": "Bearer abc123"
}
]
}
},
"enableAdTranscoding": true,
"transcodingProfile": {
"id": 2287,
"name": "3B-L2-30fps-128kbps-44.1kHz"
},
"serverSideAdTracking": {
"enable": false,
"checkAdMediaSegmentAvailability": false
},
"vodAdBreakPolicy": {
"adServer": {
"id": 36
},
"spliceMode": "segment",
"preRoll": {
"maxDurationS": 30,
"minAdLengthS": 10
},
"midRolls": [
{
"offsetS": 300,
"maxDurationS": 30
}
]
},
"insertionMode": "ssai",
"result": "success"
}
POST
/zones/vod/pull/{zoneid}/adinsertion/schedule/{scheduleid}POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
path
scheduleidinteger
RequiredID of the ad break schedule slot.
Content-Typestring
RequiredThe media type of the request body
Options: application/json
No request body parameters defined
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
datastring
RequiredSame fields as Add Ad Break Schedule, minus _METHOD and type (type is immutable after creation).
Responses
statusCodeinteger
idinteger
tenantIdinteger
namestring
hashstring
typestring
urlstring
statestring
creationDatestring
updateDatestring
sourceobject
enableAdTranscodingboolean
transcodingProfileobject
serverSideAdTrackingobject
vodAdBreakPolicyobject
insertionModestring
resultstring
Allowed values:
successerrorWas this page helpful?